<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>reto clase6</title>
</head>

<body>
    <div id="mostrar1"></div>
    <div id="mostrar2"></div>
    <div id="mostrar3"></div>
    <div id="mostrar4"></div>
    <script type="text/javascript">
        const cuadrado = (numero) => {
            let resultado = numero * numero;
            return resultado;
        };

        let numero = parseInt(prompt('ingrese un número'));
        console.log(cuadrado(numero));
        document.getElementById('mostrar1').innerHTML = `El cuadrado del numero es: ${cuadrado(numero)}`

        const circulo = (numero) => {
            const pi = 3.1415;
            let resultado = 2 * pi * numero;
            return resultado;
        }

        //let numero = parseInt(prompt('ingrese un número'));
        console.log(circulo(numero));
        document.getElementById('mostrar2').innerHTML = `El area es es: ${circulo(numero)}`

        const factorial = (numero) => {
            let resultado = 1;
            for (let i = numero; i > 0; i--) {
                resultado = resultado * i;
            }
            return resultado;
        }
        console.log(factorial(numero));
        document.getElementById('mostrar3').innerHTML = `El factorial es: ${factorial(numero)}`

        let usuario = prompt('ingrese un usuario');
        let contrasenia = prompt('ingrese una contraseña');

        let usuarios = [['leo', '123'], ['diego', '1234'], ['user', 'pass']];
        const login = (uasuario, contrasenia) => {
            let usuarioIngresados = [usuario, contrasenia];
            let resultado;
            for (let i = 0; i < usuarioIngresados.length-1; i++) {
                for (let j = 0; j < usuarios.length; j++) {
                    if ((usuarioIngresados[i] === usuarios[j][i]) && (usuarioIngresados[i+1] === usuarios[j][i+1])) {
                        console.log('dentro if ingreso ' + usuarioIngresados[i]+'ingreso pass ' + usuarioIngresados[i+1] + ' compara usuario ' + usuarios[j][i]+ ' compara pass '+usuarios[j][i+1]);
                        return true;
                        break;
                    }/*else{
                        console.log('dentro if false ingreso ' + usuarioIngresados[i]+'ingreso pass ' + usuarioIngresados[i+1] + ' compara usuario ' + usuarios[j][i]+ ' compara pass '+usuarios[j][i+1]);
                        return false;
                    }*/
                    console.log('Fuera de if ingreso ' + usuarioIngresados[i]+'ingreso pass ' + usuarioIngresados[i+1] + ' compara usuario ' + usuarios[j][i]+ ' compara pass '+usuarios[j][i+1]);
                    console.log('i '+i+' j '+j);
                }
            }
            return false;
        }
        //console.log(login(usuario, contrasenia));
        let mostrarDiv = document.getElementById('mostrar4'); 
        login(usuario,contrasenia)? mostrarDiv.innerHTML ='Login Correcto' : mostrarDiv.innerHTML ='Login Incorrecto'; //`El usuario y contraseña es: ${login(usuario, contrasenia)}`


    </script>
</body>

</html>